# Issuing ISO mDL with the Blerify API

### API Endpoints for License Issuance

The following are the Blerify API endpoints for mDL issuance:

### **1- "Create" Endpoint**

* **Description:** This endpoint is used to create a ISO mDL format.
* **HTTP Method:** `POST`
* **Endpoint URL:**  {{api-host}}/api/v1/organizations/{{organization-id}}/projects/{{project-id}}/credentials

{% embed url="<https://dev.blerify.com/?_gl=1*4h2p60*_ga*MTEwMjIzODc2Ny4xNzEyNjc0MjMy*_ga_F58PRL7ZE7*MTczNzU2MTk2Ny40Ni4xLjE3Mzc1NjE5OTEuMC4wLjA.#684c3633-308d-430e-8122-90c0b411b2d8>" %}
End Point to create a Digital Credential
{% endembed %}

### **2- "Sign" Endpoint**

* **Description:** This endpoint is used to sign the ISO mDL created in the previous step.
* **HTTP Method:** `POST`
* **Endpoint URL:** {{api-host}}/api/v1/organizations/{{organization-id}}/projects/{{project-id}}/crypto/sign/es256

{% embed url="<https://dev.blerify.com/?_gl=1*4h2p60*_ga*MTEwMjIzODc2Ny4xNzEyNjc0MjMy*_ga_F58PRL7ZE7*MTczNzU2MTk2Ny40Ni4xLjE3Mzc1NjE5OTEuMC4wLjA.#03d2be79-d7c7-4045-9e18-d3a016810db1>" %}
End Point to Sign a Digital Credential
{% endembed %}

### **3- "Assemble" Endpoint**

* **Description:** This endpoint is used to combine the ISO mDL and the signature into a single object, which is delivered to the end user.
* **HTTP Method:** `PUT`
* **Endpoint URL:** {{api-host}}/api/v1/organizations/{{organization-id}}/projects/{{project-id}}/credentials/{{\_credential\_id}}/sign

{% embed url="<https://dev.blerify.com/?_gl=1*4h2p60*_ga*MTEwMjIzODc2Ny4xNzEyNjc0MjMy*_ga_F58PRL7ZE7*MTczNzU2MTk2Ny40Ni4xLjE3Mzc1NjE5OTEuMC4wLjA.#5ccf983a-1dc2-46c9-aa9d-d58fe952eb9c>" %}
End Point to assemble a Digital Credential
{% endembed %}

### Example Workflow

1. The Service Account is created in the Blerify portal and the JSON file is downloaded.
2. A library (preferred by the client) is used to generate the access token.
3. The "Create" endpoint is called to create the ISO mDL, sending the access token at all times and generating it again if necessary.
4. The Digital Credential ID is received in the response.
5. The "Sign" endpoint is called using the Digital Credential ID.
6. The digital signature of the ISO mDL is received in the response.
7. The "Assemble" endpoint is called using the Digital Credential ID and the digital signature.
8. The complete credential object is received in the response.
9. This object is delivered to the end user for download to their wallet.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blerify.com/developers/api-documentation/issuing-iso-mdl-with-the-blerify-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
